Mise à jour d'une release stable

Le
Yann Justdohit
Bonjour à tous,


Dans le cas de la dernière jessie 8.3

apt-get dist-upgrade ou apt-get upgrade est recommandé ?

argumenter svp :-)
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Sébastien NOBILI
Le #26386169
Bonjour,

Le lundi 25 janvier 2016 à 2:23, Yann Justdohit a écrit :
Dans le cas de la dernière jessie 8.3

apt-get dist-upgrade ou apt-get upgrade est recommandé ?

argumenter svp :-)



Dans le cas d'une version stable, normalement aucune différence entre les deux.

La différence entre « upgrade » et « dist-upgrade » est que le premier refusera
de mettre à jour les paquets qui entraîneraient l'installation ou la suppression
d'autres paquets. Puisqu'on est sur la branche stable, ce type de cas n'arrive
normalement pas.

Sébastien
andre_debian
Le #26386170
On Monday 25 January 2016 11:23:29 Yann Justdohit wrote:
Dans le cas de la dernière jessie 8.3
apt-get dist-upgrade ou apt-get upgrade est recommandé ?
argumenter svp :-)



Sauf erreur,

# apt-get upgrade
pour passer d'une version p. ex. de 8.1 à 8.2
(on reste dans la version Jessie).

# apt-apt-get dist-upgrade
pour passer d'une version p. ex de Wheezy à Jessie.
(on change de version complètement).

André
Bernard Schoenacker
Le #26386171
Le Mon, 25 Jan 2016 12:00:47 +0100,
Sébastien NOBILI
Bonjour,

Le lundi 25 janvier 2016 à 2:23, Yann Justdohit a écrit :
> Dans le cas de la dernière jessie 8.3
>
> apt-get dist-upgrade ou apt-get upgrade est recommandé ?
>
> argumenter svp :-)

Dans le cas d'une version stable, normalement aucune différence entre
les deux.

La différence entre « upgrade » et « dist-upgrade » est que le
premier refusera de mettre à jour les paquets qui entraîneraient
l'installation ou la suppression d'autres paquets. Puisqu'on est sur
la branche stable, ce type de cas n'arrive normalement pas.

Sébastien




bonjour,

https://wiki.debian.org/fr/Aptitude
https://wiki.debian.org/fr/DebianPackageManagement

https://www.debian.org/doc/manuals/debian-faq/ch-uptodate.fr.html

slt
bernard
Yann Justdohit
Le #26386186
Le lundi 25 janvier 2016 12:40:03 UTC+1, Bernard Schoenacker a écrit :
Le Mon, 25 Jan 2016 12:00:47 +0100,
Sébastien NOBILI
> Bonjour,
>
> Le lundi 25 janvier 2016 à 2:23, Yann Justdohit a écrit :
> > Dans le cas de la dernière jessie 8.3
> >
> > apt-get dist-upgrade ou apt-get upgrade est recommandé ?
> >
> > argumenter svp :-)
>
> Dans le cas d'une version stable, normalement aucune différence entre
> les deux.
>
> La différence entre « upgrade » et « dist-upgrade » e st que le
> premier refusera de mettre à jour les paquets qui entraîneraient
> l'installation ou la suppression d'autres paquets. Puisqu'on est sur
> la branche stable, ce type de cas n'arrive normalement pas.
>
> Sébastien
>

bonjour,

https://wiki.debian.org/fr/Aptitude
https://wiki.debian.org/fr/DebianPackageManagement

https://www.debian.org/doc/manuals/debian-faq/ch-uptodate.fr.html

slt
bernard



Merci pour ce RTFM (dissimulé)
je demande là un avis technique d'un "spécialiste" Debian
@+
Pascal Hambourg
Le #26386296
Sébastien NOBILI a écrit :
Bonjour,

Le lundi 25 janvier 2016 à 2:23, Yann Justdohit a écrit :
Dans le cas de la dernière jessie 8.3

apt-get dist-upgrade ou apt-get upgrade est recommandé ?



Dans le cas d'une version stable, normalement aucune différence entre les deux.

La différence entre « upgrade » et « dist-upgrade » est que le premier refusera
de mettre à jour les paquets qui entraîneraient l'installation ou la suppression
d'autres paquets. Puisqu'on est sur la branche stable, ce type de cas n'arrive
normalement pas.



Normalement, mais il y a des exceptions ; parfois les dépendances d'un
paquet changent, et sa mise à jour nécessite alors de faire un dist-upgrade.

J'ai vu le cas il n'y a pas très longtemps lors d'une mise à jour de
sécurité d'iceweasel avec changement de version. Le nouveau paquet avait
une dépendance supplémentaire pour gstreamer.
Publicité
Poster une réponse
Anonyme